using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.AI;

public class spawnScript : MonoBehaviour
{

    public List<GameObject> objsToSpawn = new List<GameObject>();
    [Range(1,1024)]
    public int numberOfEnemies;
    public bool isRandomized;
    public GameObject spawnEffect;
    public AudioClip soundEffect;

    //public NavMeshAgent agent;
    // Start is called before the first frame update
    void Start()
    {
        int switchVal = 0;
        int valMax = 50;
        int valMin = 5;
        switchVal = valMin;

        

        for (int i = 0; i < numberOfEnemies; i++)
        {
            int index = isRandomized ? Random.Range(0, objsToSpawn.Count) : 0;
            if (switchVal < valMax)
            {
                switchVal += 5;
            }else{
                switchVal -= 5;
            }
            //objsToSpawn[index].GetComponent<NavMeshAgent>().speed = switchVal;
            //objsToSpawn[index].GetComponent<NavMeshAgent>().acceleration = (switchVal % 2) * switchVal;
            //objsToSpawn[index].GetComponent<enemyController>().walkingRange = (valMax*1.5f)-switchVal;
            //objsToSpawn[index].GetComponent<enemyController>().sightRange = (valMax + 20f) - switchVal;

            // add Audioclips or Effects on Spawn
            //AudioSource.PlayClipAtPoint(soundEffect, transform.position);

            Instantiate(objsToSpawn[index], transform.position, transform.rotation);
            
        }
        //Instantiate(objToSpawn, transform.position, transform.rotation);
    }

    // Update is called once per frame
    void Update()
    {
        
    }
}
